< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package performance
  Definition Classes
    hmrc
-  package simulation
  Definition Classes
    performance
- Journey
- JourneyPart
- PerformanceTestRunner
- PerformanceTestRunnerSetup

t

uk.gov.hmrc.performance.simulation

# PerformanceTestRunnerSetup 

###

#### trait PerformanceTestRunnerSetup extends JourneyConfiguration with PerftestConfiguration

Linear Supertypes
PerftestConfiguration, JourneyConfiguration, Configuration, AnyRef, Any
Known Subclasses
PerformanceTestRunner
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PerformanceTestRunnerSetup
2. PerftestConfiguration
3. JourneyConfiguration
4. Configuration
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val allJourneys: List[String]
   Definition Classes
     JourneyConfiguration
5.  lazy val applicationConfig: Config
   Definition Classes
     Configuration
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def checkJourneyName(id: String): Any
   Definition Classes
     JourneyConfiguration
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  lazy val constantRateTime: FiniteDuration
   Definition Classes
     PerftestConfiguration
10.  def definitions(labels: Set[String] = Set.empty): Seq[JourneyDefinition]
    Definition Classes
      JourneyConfiguration
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def generateDescription(abstractDescription: String, runIf: Set[String], skipIf: Set[String]): String
    Definition Classes
      JourneyConfiguration
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hasProperty(property: String): Boolean
    Definition Classes
      Configuration
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def journeys: Seq[Journey]
    Attributes
      protected
20.  val journeysAvailable: List[String]
    Definition Classes
      JourneyConfiguration
21.  def keys(property: String): List[String]
    Definition Classes
      Configuration
22.  lazy val labels: Set[String]
    Definition Classes
      PerftestConfiguration
23.  lazy val loadPercentage: Double
    Definition Classes
      PerftestConfiguration
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  val noLoad: Double
    Definition Classes
      PerftestConfiguration
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  lazy val percentageFailureThreshold: Int
    Definition Classes
      PerftestConfiguration
29.  lazy val rampDownTime: FiniteDuration
    Definition Classes
      PerftestConfiguration
30.  lazy val rampUpTime: FiniteDuration
    Definition Classes
      PerftestConfiguration
31.  def readProperty(property: String, default: String): String
    Definition Classes
      Configuration
32.  def readProperty(property: String): String
    Definition Classes
      Configuration
33.  def readPropertyBooleanOption(property: String): Option[Boolean]
    Definition Classes
      Configuration
34.  def readPropertyList(property: String): List[String]
    Definition Classes
      Configuration
35.  def readPropertyOption(property: String): Option[String]
    Definition Classes
      Configuration
36.  def readPropertySet(property: String): Set[String]
    Definition Classes
      Configuration
37.  def readPropertySetOrEmpty(property: String): Set[String]
    Definition Classes
      Configuration
38.  lazy val requestPercentageFailureThreshold: Int
    Definition Classes
      PerftestConfiguration
39.  lazy val runLocal: Boolean
    Definition Classes
      Configuration
40.  lazy val runSingleUserJourney: Boolean
    Definition Classes
      PerftestConfiguration
41.  def setup(id: String, description: String): JourneyPart
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  def validateExtendedJourney(abstractJourneyId: String): Unit
    Definition Classes
      JourneyConfiguration
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
48.  def withInjectedLoad(journeys: Seq[Journey]): Seq[PopulationBuilder]
    Attributes
      protected

### Inherited from PerftestConfiguration

### Inherited from JourneyConfiguration

### Inherited from Configuration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped